package com.yame.uml.model;

import java.util.ArrayList;
import java.util.List;

/**
 * result
 */

public class Result {

    
    private ResultType type;
    private String msg; 
    private List<String> content;

    public Result() {
        content = new ArrayList<String>();
    }

    public List<String> getContent() {
        return content;
    }

    public void addContent(String content) {
        this.content.add(content);
    }

    public void delContent(int idx) {
        this.content.remove(idx);
    }

    public ResultType getType() {
        return type;
    }

    public void setType(ResultType type) {
        this.type = type;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}